<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::table('dsar_types', function (Blueprint $table) {
            $table->longText('email_content')->nullable()->after('content');
        });

        Schema::table('dsars', function (Blueprint $table) {
            $table->longText('email_content')->nullable()->after('content');
        });
    }

    public function down(): void {
        Schema::table('dsar_types', function (Blueprint $table) {
            $table->dropColumn('email_content');
        });

        Schema::table('dsars', function (Blueprint $table) {
            $table->dropColumn('email_content');
        });
    }
};
